{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Trajectory Information",
	"description": "Details about position+orientation files",
	"type": "object",
	"properties": {
		"time_interval": {
			"description": "Time interval statistics",
			"type": "object",
			"properties": {
				"minimum": {
					"description": "Minimum time interval [s]",
					"type": "number"
				},
				"average": {
					"description": "Average time interval [s]",
					"type": "number"
				},
				"maximum": {
					"description": "Maximum time interval [s]",
					"type": "number"
				},
				"std_dev": {
					"description": "Standard deviation of intervals [s]",
					"type": "number"
				}
			},
			"required": [
				"minimum",
				"average",
				"maximum",
				"std_dev"
			]
		},
		"navigation_frame": {
			"description": "Navigation frame (NED: North-East-Down, ENU: East-North-Up)",
			"type": "string",
			"enum": [
				"unknown",
				"NED",
				"ENU"
			]
		},
		"field_of_application": {
			"description": "Field of application",
			"type": "string",
			"enum": [
				"unknown",
				"SLS",
				"TLS",
				"KLS",
				"MLS",
				"ULS",
				"ALS",
				"BLS",
				"ILS"
			]
		},
		"company": {
			"description": "Company name",
			"type": "string"
		},
		"project": {
			"description": "Project name",
			"type": "string"
		},
		"location": {
			"description": "Project location, e.g. city/state/country",
			"type": "string"
		},
		"device": {
			"description": "Navigation device, e.g. name/type/serial",
			"type": "string"
		},
		"software": {
			"description": "Software that calculated the trajectory (this may be the same or different software than the one that created the file)",
			"type": "string"
		},
		"settings": {
			"description": "Settings used to calculate the trajectory (descriptive text)",
			"type": "string"
		}
	},
	"required": [
		"time_interval",
		"navigation_frame"
	]
}